import { ViewUpdate, EditorView } from '@codemirror/view';
import { Extension, Facet } from '@codemirror/state';

declare type PanelConfig = {
    topContainer?: HTMLElement;
    bottomContainer?: HTMLElement;
};
declare function panels(config?: PanelConfig): Extension;
interface Panel {
    dom: HTMLElement;
    mount?(): void;
    update?(update: ViewUpdate): void;
    class?: string;
    top?: boolean;
    pos?: number;
}
declare const showPanel: Facet<(view: EditorView) => Panel, readonly ((view: EditorView) => Panel)[]>;
declare function getPanel(view: EditorView, panel: (view: EditorView) => Panel): Panel | null;

export { Panel, getPanel, panels, showPanel };
